* {margin:0;padding:0}
body {padding: 0 0 20px;background: #fff url("images/body_bg.gif") repeat-x 0 100%;color:#333;font:83%/1.5 arial,verdana}

a,a:link,a:hover {background:transparent} 
a:link {color:#c00} 
a:visited {color:#999} 
a:hover,a:active {color:#069} 

p, ul, ol {margin: 0 0 1.5em}
h2, h3 {font-family: arial;margin: 1.2em 0 .3em;color:#000;padding-bottom: .1em}
h2 {font-size: 136%}
h3 {font-size: 126%}
small {font-size:11px}

ul {margin: .3em 0 1.5em 0;list-style-type:none}
	ul.related {margin-top: -1em}
ol {margin: .5em .5em 1.5em}
ol li {margin-left: 1.4em;padding-left: 0;background: none; list-style-type: decimal}
li {line-height: 1.4em;padding-left: 25px;background: transparent url("images/sprites.gif") no-repeat 0 0}
li.doc {background-position: 3px -500px}
ul.nomarker li {background:none;padding-left:0}

dl {margin: 0 0 1em 0}
dt {font-weight:bold;margin-top: 1.3em}
dl dl {margin: 0 0 1.5em 30px}

img {border:none} 
hr {background:#f2f2f2;height:1px;color:#f2f2f2;border:none;clear:both}
.clear {clear:both;position:relative;font-size:0px;height:0px;line-height:0px} 

#header {background: #666 url("images/sprites.gif") repeat-x 0 100%;margin: 0 0 25px;padding: 0 0 8px}

	#header #site-name {font: 28px arial;margin:0 0 0 40px;padding:20px 0;color:#ccc;border:none}
	
	#nav, #nav ul {padding: 0;margin: 0;list-style: none}
	#nav {font-weight:bold;height:2.09em;font: arial;margin: 0 105px 0 40px}
	#nav li {position:relative;background: #999;float: left;width: 10em;display:block;margin: 0;border-bottom: 3px solid #666;border-right: 3px solid #252525;padding:0}
	#nav a, #nav a:link, #nav a:visited, #nav a:hover, #nav a:active {text-decoration:none;color:#fff;display: block;padding: 4px 10px 2px}
	#nav a:hover {color:#000}
	
	#nav li ul {border-left: 1px solid #c00;background: #f6f6f6 url("images/featurebox_bg.gif") no-repeat 100% 100%;width:15.8em;font-size:90%;margin-top:3px;position: absolute;font-weight:normal;left: -999em}
	#nav li:hover ul, #nav li.sfhover ul {left: 0;z-index:99999}
	
	#nav li li {background:none;float:none;border:none;border: 1px solid #999;border-top:1px solid #fff;border-right:none;border-left:none;padding-left:0}
	#nav li li.last {border-bottom:none}
	#nav li li a, #nav li li a:link, #nav li li a:visited, #nav li li a:hover {color:#000;padding: 3px 10px 2px;width:14em}
	#nav li li a:hover {color:#fff;background:#c00}
	
	#nav li.active {background: #c00;border-bottom: 3px solid #c00}
	#nav li.active ul {border:none;background: #c00 url("images/featurebox2_bg.gif") no-repeat 100% 100%}
	#nav li.active a:link, #nav li.active a:visited, #nav li.active a:hover, #nav li.active a:active {}
	#nav li.active a:hover {color:#000}
	
	#nav li.active li {border:none;border-top: 1px solid #c15c5c;border-bottom: 1px solid #870000}
	#nav li.active li.last {border-bottom: none}
	#nav li.active li a:link, #nav li.active li a:visited, #nav li.active li a:hover, #nav li.active li a:active {color:#fff}
	#nav li.active li a:hover {background: #666 url("images/sprites.gif") repeat-x 0 99%;color:#fff}
	
	#nav li.active li.active a:link, #nav li.active li.active a:visited, #nav li.active li.active a:hover, #nav li.active li.active a:active {color:#fff;font-weight:bold;background: #666 url("images/sprites.gif") repeat-x 0 99%}

	#nav li {width:auto}
	
#wrap {min-width:770px;max-width:1200px;margin: 0 auto;position:relative}
#content-wrap {position:relative;width:100%}
	#utility {position:absolute;top:0;left:12px;width:162px;padding-bottom: 40px}
	#sidebar {position:absolute;top:0;right:15px;width:20%;padding-top: 1px;padding-bottom: 40px}

#content {margin: 0 30px}
	
	.pagination {background: #f2f2f2;color:#666;padding: 4px 2px 4px 7px;border: 1px solid #ddd;margin: 0 0 1.5em}
	.pagination p {position:relative;text-align:right}
	.pagination p a:link, .pagination p a:visited, .pagination p a:hover, .pagination p a:active {text-decoration:none;background:#fff;padding:2px 5px;border: 1px solid #ccc}
	.pagination p a:hover {background:#c00;color:#fff}
	.pagination p span {text-decoration:none;background:#fff;padding:2px 5px;border: 1px solid #ccc;color:#ccc}
	.pagination * {margin:0}
	.pagination h4 {margin-top:-1.45em;padding:0;border:none}
	
	.table1 {border: 1px solid #900;border-collapse:collapse;width:100%}
		.table1 td {background: #fff url("images/sprites.gif") repeat-x 0 -1600px;padding:3px;border: 1px solid #fff}
		.table1 th {text-align:left;border: 1px solid #fff}
		.table1 thead th {color:#fff;font-size:145%;background: #900 url("images/sprites.gif") repeat-x 0 -1300px;padding: 10px 6px}
		.table1 tbody th {color:#fff;font-size:115%;background: #88b8db url("images/sprites.gif") repeat-x 0 -1400px;padding: 6px}
		.table1 tbody th.sub {font-size:100%;color:#000;background: #efefef url("images/sprites.gif") repeat-x 0 -1500px;padding: 6px}

		ol.code {font-family: monospace;position:relative}
		ol.code li {color: #666;margin-bottom: 1px}
		ol.code code {color: #000;display: block}
		ol.code .cmt {color: #4077d2}
		li.tab0 code {padding-left: 4em}
		li.tab1 code {padding-left: 8em}
		li.tab2 code {padding-left: 12em}
		li.tab3 code {padding-left: 16em}
		li.tab4 code {padding-left: 20em}
		li.tab5 code {padding-left: 24em}
		ol.code li  {background: #f3f3f3 url("images/td_bg.gif") no-repeat 100% 100%}
		p.note {margin: 1em;border: 1px solid #ddd;background: #f0f0f0;padding: 1em}

	#type-b #content-wrap {background: transparent url("images/content_wrap_bg.gif") repeat-y 10px 0}
	#type-b #content {margin: 0 23px 0 210px}

	#nav-secondary, #nav-secondary ul {position:static}
	#nav-secondary, #nav-secondary li {list-style: none;margin:0;padding:0;background:#fff}
	#nav-secondary {padding-top:0;border-top: 1px solid #ccc;margin-top: 1px}
	#nav-secondary a {line-height:1.8;padding: 5px 0 5px 23px;background: #fff url("images/sprites.gif") no-repeat 10px -695px;font: bold 86% arial;display:block}
	#nav-secondary a, #nav-secondary a:link, #nav-secondary a:visited, #nav-secondary a:hover, #nav-secondary a:active {text-decoration:none} 
	#nav-secondary a:link {color:#000} 
	#nav-secondary a:visited {color:#000} 
	#nav-secondary a:hover {color:#c00;background: #fee url("images/sprites.gif") no-repeat 10px -695px} 
	#nav-secondary li.active a:link, #nav-secondary li.active a:visited, #nav-secondary li.active a:hover, #nav-secondary li.active a:active {color:#c00} 
	#nav-secondary li {border-top: 1px solid #fff;border-bottom: 1px solid #ccc}

	#nav-secondary ul {margin: 0 0 1em 23px;padding:0}
	#nav-secondary li.active li a, #nav-secondary li.active li a:link, #nav-secondary li.active li a:visited {line-height:1.5;background: #fff url("images/sprites.gif") no-repeat 0 -798px;padding:0 0 0 12px;font-weight:normal;width:auto;color:#000;width:130px;display:block}
	#nav-secondary li.active li a:hover, #nav-secondary li.active li a:active {color: #c00}
	#nav-secondary li.active li {border: none;margin:0}
	
	#nav-secondary li.active li.active a:link, 
	#nav-secondary li.active li.active a:visited, 
	#nav-secondary li.active li.active a:hover, 
	#nav-secondary li.active li.active a:active {font-weight:bold}

	#nav-secondary ul ul {margin: 0 0 1em 13px;padding:0}
	#nav-secondary li.active li.active li a, #nav-secondary li.active li.active li a:link, #nav-secondary li.active li.active li a:visited {width:117px}
	#nav-secondary li.active li.active li a:link, 
	#nav-secondary li.active li.active li a:visited, 
	#nav-secondary li.active li.active li a:hover, 
	#nav-secondary li.active li.active li a:active {font-weight:normal}
	#nav-secondary li.active li.active li.active a:link, 
	#nav-secondary li.active li.active li.active a:visited, 
	#nav-secondary li.active li.active li.active a:hover, 
	#nav-secondary li.active li.active li.active a:active {font-weight:bold}

	#nav-secondary ul ul ul {margin: 0 0 1em 13px;padding:0}
	#nav-secondary li.active li.active li.active li a, #nav-secondary li.active li.active li.active li a:link, #nav-secondary li.active li.active li.active li a:visited {width:104px}
	#nav-secondary li.active li.active li.active li a:link, 
	#nav-secondary li.active li.active li.active li a:visited, 
	#nav-secondary li.active li.active li.active li a:hover, 
	#nav-secondary li.active li.active li.active li a:active {font-weight:normal}
	#nav-secondary li.active li.active li.active li.active a:link, 
	#nav-secondary li.active li.active li.active li.active a:visited, 
	#nav-secondary li.active li.active li.active li.active a:hover, 
	#nav-secondary li.active li.active li.active li.active a:active {font-weight:bold}

#footer {clear:both;border-top: 1px solid #E3E8EE;padding: 10px 0 30px;font-size:11px;color:#999}
	#footer p {margin:0}
	#footer a:link {color:#999}